<?xml version="1.0" encoding="ISO-8859-1"?>

<rss version="0.91">
  <channel>
    <title>Changes report</title>
    <link>http://commons.apache.org/beanutils/index.html</link>
    <description>Changes report</description>
    <language>en-us</language>
    <copyright>Copyright 2004 The Apache Software Foundation</copyright>
    <item>
      <title>70 change(s) for version 1.8.0-BETA</title>
      <link>http://commons.apache.org/beanutils/index.html/changes-report.html</link>
      <description>
        <table border="1">
          <tr>
            <th style="width:50px">Type</th>
            <th>Changes</th>
            <th style="width:70px">By</th>
          </tr>
          <tr>
            <td>add</td>
            <td>Add plugable property name expression Resolver. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-259">BEANUTILS-259</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>General Converter implementation improvements: New AbstractConverter which provides a basic structure for Converter implementations: Provides structure for converting to and from a String for the type the converter handles. Provides a mechanism for default values. Handles missing and invalid values in a uniform way. New NumberConverter implementation: Converts both to and from String for numbers. Can be configured to convert using the default format for either the default Locale or a specified Locale. Can be configured to convert using a specified DecimalFormat pattern, either for the default Locale or a specified Locale. Provides the basis for all the number converters in BeanUtils. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-258">BEANUTILS-258</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>Add new generic ArrayConverter implementation. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-242">BEANUTILS-242</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>Add new generic DateTimeConverter implementation. Converts both to and from String for dates. Can be configured to convert using the default format for either the default Locale or a specified Locale. Can be configured to convert using a set of DateFormat patterns. Provides the basis for all the date converters in BeanUtils. Handles conversion for (and between) java.util.Date, java.util.Calendar, java.sql.Date, java.sql.Time and java.sql.Timestamp Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-255">BEANUTILS-255</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Better implementation of SqlDateConverter. Modified SqlDateConverter, SqlTimeConverter and SqlTimestampConverter to accept java.util.Date and Calendar object instances. Added tests. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-239">BEANUTILS-239</a>. Thanks to Rafael Afonso .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#vgritsenko">vgritsenko</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>New Facade converter implementation - hide non-Converter public APIs. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-286">BEANUTILS-286</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Add "t/f" to BooleanConverter. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-229">BEANUTILS-229</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#skitching">skitching</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Support Mapped property inside a mapped property. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-43">BEANUTILS-43</a>. Thanks to Firepica and Thomas Jacob .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Support Indexed property inside a mapped property. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-113">BEANUTILS-113</a>. Thanks to Firepica and Ludwig Wensauer .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Support Arrays with multiple dimension. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-247">BEANUTILS-247</a>. Thanks to Christian Poitras, Thomas Jacob and scott sadlo .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Include bean class in the message of PropertyUtilsBean exceptions. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-207">BEANUTILS-207</a>. Thanks to Erik Meade .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#bayard">bayard</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Provide better error message for "argument type mismatch". Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-224">BEANUTILS-224</a>. Thanks to Ralf Hauser .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#bayard">bayard</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Improved messages for unknown properties. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-30">BEANUTILS-30</a>. Thanks to Barry Kaplan .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#bayard">bayard</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>MethodUtils.invoke for static methods. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-193">BEANUTILS-193</a>. Thanks to Nestor Boscan .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#bayard">bayard</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Log or throw exception in PropertyUtilsBean. Added mechanism to initialize the "cause" on an Exception using reflection for JDK 1.4+ (copied from Commons HttpClient). Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-266">BEANUTILS-266</a>. Thanks to Brian Ewins and Commons HttpClient .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>Add lazyDynaList. Thanks to Vic Cekvenich .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>Provide a Map decorator for a DynaBean (enables DynaBean to be used with other teechnologies such as JSTL). Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-185">BEANUTILS-185</a>. Thanks to Gabriel Belingueres .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Implement equals() and hashCode() methods for DynaProperty. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-233">BEANUTILS-233</a>. Thanks to Russell .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>BeanUtils's tests fail to compile under JDK 1.6 Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-243">BEANUTILS-243</a>. Thanks to Henri Yandell .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Lock in BeanUtilsBean.getInstance( Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-49">BEANUTILS-49</a>. Thanks to Jesper Richter-Reichhelm .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Beanutils's describe() method cannot determine reader methods for anonymous class. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-157">BEANUTILS-157</a>. Thanks to Thorbjorn Ravn Andersen .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Added warning about describe behaviour to the javadocs. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-158">BEANUTILS-158</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#rdonkin">rdonkin</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>BeanUtilsBean's setProperty() does not convert objects using custom converters properly. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-249">BEANUTILS-249</a>. Thanks to Brad .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Fix javadoc - IllegalArgumentException in BeanUtils.copyProperties when property types don't match. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-17">BEANUTILS-17</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Writing to a mapped property requires a setter for a map, but never uses it. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-68">BEANUTILS-68</a>. Thanks to Dmitry Platonoff .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>BeanUtilsBean.getArrayProperty() does not use ConvertUtils. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-110">BEANUTILS-110</a>. Thanks to Etienne Bernard .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>MappedPropertyDescriptor - replace copied code. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-6">BEANUTILS-6</a>. Thanks to Sam Ruby .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>MappedPropertyDescriptor: Add comments re: * use of static variable safe in shared classloader * memory leak possible on webapp undeploy.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#skitching">skitching</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>MappedPropertyDescriptor doesn't recognize boolean property accessor. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-69">BEANUTILS-69</a>. Thanks to Chris Audley .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Add test for MappedPropertyDescriptor with different types on get/set methods. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-163">BEANUTILS-163</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>LocaleBeanUtils setProperty does not work on nested property. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-140">BEANUTILS-140</a>. Thanks to Marco La Porta .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Package scope implementation of a public interface for mapped property fails (fixed by changes to MappedPropertyDescriptor associated with BEANUTILS-6) Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-87">BEANUTILS-87</a>. Thanks to YOKOTA Takehiko .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>PropertyUtils incosistency - can't use "dot" in mapped properties for setProperty or getPropertyDescriptor (fixed by the changes for BEANUTILS-259 Plugable Property Name Expression Resolver). Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-33">BEANUTILS-33</a>. Thanks to Eoin Curran .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Public methods overriden in anonymous or private subclasses are not recognized by PropertyUtils. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-273">BEANUTILS-273</a>. Thanks to Marcelo Liberato .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>PropertyUtilsBean's isReadable() / isWriteable() always return false for mapped properties. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-88">BEANUTILS-88</a>. Thanks to Chuck Daniels .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>PropertyUtilsBean isReadable() and isWriteable() methods do not work correctly for WrapDynaBean. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-61">BEANUTILS-61</a>. Thanks to Brian Ewins .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>PropertyUtils.isReadable() and PropertyUtils.getProperty() not consistent. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-18">BEANUTILS-18</a>. Thanks to Maarten Coene .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>PropertyUtilsBean.copyProperties does not catch NoSuchMethodException Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-92">BEANUTILS-92</a>. Thanks to Will Pugh .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#bayard">bayard</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>PropertyUtilsBean.getIndexedProperty()'s javadoc should indicate IndexOutOufBoundsException can be thrown rather than just ArrayIndexOutOufBoundsException. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-256">BEANUTILS-256</a>. Thanks to Torsten Feig .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Create new methods getPropertyOfMapBean and setPropertyOfMapBean that the existing setNestedProperty and getNestedProperty methods now call when they discover the bean they are accessing implements Map. This makes it much easier for users to subclass and customise this behaviour of PropertyUtilsBean, eg in order to restore pre-1.5 behaviour. This patch also causes an exception to be thrown when the propertyName passed to getPropertyOfMapBean or setPropertyOfMapBean has MAPPED_DELIM or INDEXED_DELIM chars in it. This never worked as expected before (the whole string was treated literally as the propertyName), so throwing an exception here should not break any existing code. It should be of help to future developers who make this mistake though... Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-162">BEANUTILS-162</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#skitching">skitching</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Ignore simple properties on java.util.Map objects - Map methods are always used on a Map object. Reverts BEANUTILS-144. See BEANUTILS-162 for discussion.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#skitching">skitching</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Correct getPropertyDescriptor() and setNestedProperty() methods to throw a NestedNullException rather than just IllegalArgumentException (consistent with the getNestedProperty() method). Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-262">BEANUTILS-262</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Problems on indexed property with JDK 1.4. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-97">BEANUTILS-97</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>BooleanArrayConverter: Use new AbstractArrayConverter constructors Convert strings to booleans by invoking a BooleanConverter rather than hard-wiring the conversion.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#skitching">skitching</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>BooleanConverter: Add facility for user to override the default set of true and false string definitions provide ability to pass special NO_DEFAULT object as the "defaultValue" constructor parameter. Thanks to Eric Rizzo .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#skitching">skitching</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>AbstractArrayConverter: provide ability to pass special NO_DEFAULT object as the "defaultValue" constructor parameter.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#skitching">skitching</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>DecimalLocaleConverter and subClasses never throw a ConversionException. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-78">BEANUTILS-78</a>. Thanks to Stefan Lotscher .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>FloatLocaleConverter cannot parse negative values. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-44">BEANUTILS-44</a>. Thanks to Paul Jenkins .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Improve ClassConverter robustness. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-263">BEANUTILS-263</a>. Thanks to Alex Albu .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>DateLocaleConverter does not always throw an Exception for invalid dates. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-271">BEANUTILS-271</a>. Thanks to Nico Hoogervorst .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Don't try parsing values that are already Dates/Numbers in Date/Number locale Converters. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-288">BEANUTILS-288</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>WrapDynaClass: Added comment re potential memory leak, and safety when using shared classloader</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#skitching">skitching</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Make WrapDynaBean Serializable.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>WrapDynaBeanTestCase failing with jikes/kaffe because of static List in TestBean. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-36">BEANUTILS-36</a>. Thanks to Jack .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Misleading error message in ConvertingWrapDynaBean. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-23">BEANUTILS-23</a>. Thanks to Aslak Hellesoy .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>LazyDynaBean: don't try and instantiate properties of type Object.class. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-24">BEANUTILS-24</a>. Thanks to Roi Ares .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>LazyDynabean JavaDoc corrections. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-133">BEANUTILS-133</a>. Thanks to Masoud Omidvar .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>LazyDynaClass can create a DynaProperty with a "null" type. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-250">BEANUTILS-250</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>JDBCDynaClass "lowerCase" option causes problems in RowSetDynaClass and ResultSetIterator. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-289">BEANUTILS-289</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>RowSetDynaClass fails to copy ResultSet to DynaBean with Oracle 10g JDBC driver. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-142">BEANUTILS-142</a>. Thanks to Li Zhang .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Fix BeanComparator throws wrong exception and hides cause. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-241">BEANUTILS-241</a>. Thanks to Chris Hyzer .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#bayard">bayard</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Deprecate the public static defaultTransformers HashMap and make it unmodifiable. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-112">BEANUTILS-112</a>. Thanks to Simon Kitching .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Merge Bean-Collections back into core BeanUtils and remove Bean-Collections sub-project. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-290">BEANUTILS-290</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Fixi the build to include all the tests and change the build.properties.sample so it's easier to use for the default maven user (ie: it looks by default in the .maven repository) Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-287">BEANUTILS-287</a>.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#bayard">bayard</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Improvements to maven build. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-217">BEANUTILS-217</a>. Thanks to Carlos Sanchez .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Add Implementation-Vendor-Id entry to jar's manifest. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-54">BEANUTILS-54</a>. Thanks to Pascal Grange .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Resolve compiler warnings: Unused imports, un-read local variables, field hiding, empty block, improperly used statics, uncessary semi colons, unnecessary casts. Fixes
              <a href="http://issues.apache.org/jira/browse/BEANUTILS-121">BEANUTILS-121</a>. Thanks to Chris Tilden .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#bayard">bayard</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>Replace use of static Log objects with instance or local variables. It isn't safe to use static Log objects in code that might be deployed via a shared classloader as they will bind to the Log object from the context classloader in use when the first use happens.</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#skitching">skitching</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>BeanMap: Fix internal variable to not include non-existant write methods. - ported from Commons Collections. Fixes
              <a href="http://issues.apache.org/jira/browse/COLLECTIONS-22">COLLECTIONS-22</a>. Thanks to Dimiter Dimitrov .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#scolebourne">scolebourne</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>Change MethodUtils to make getMatchingAccessibleMethod() method selection more rational. Thanks to Steve Cohen .</td>
            <td>
              <a href="http://commons.apache.org/beanutils/index.html/team-list.html#rdonkin">rdonkin</a>
            </td>
          </tr>
        </table>
      </description>
    </item>
  </channel>
</rss>